> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# refund.initiated

> A refund initiated with `/refund/create`



## OpenAPI

````yaml https://api.getivy.de/openapi/webhooks/json post /api/service/webhook-event/refund.initiated
openapi: 3.0.0
info:
  title: Ivy Webhook Events
  description: Ivy Webhook Events schema
  version: '1.0'
  contact:
    name: Ivy
    url: https://www.getivy.io
    email: help@getivy.io
servers: []
security: []
tags: []
paths:
  /api/service/webhook-event/refund.initiated:
    post:
      tags:
        - WebhookEventExamples
        - Refund
      summary: refund.initiated
      description: A refund initiated with `/refund/create`
      operationId: WebhookEventExamplesController_refundInitiated
      parameters: []
      requestBody:
        required: true
        description: Data of the webhook event
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefundInitiatedWebhookEventDto'
      responses:
        '200':
          description: OK
      servers:
        - url: https://{yourDomain}
          variables:
            yourDomain:
              description: The URL where you want to receive webhook events
              default: www.your-domain.com
components:
  schemas:
    RefundInitiatedWebhookEventDto:
      type: object
      properties:
        id:
          description: The unique id for the webhook.
          type: string
        type:
          type: string
          enum:
            - refund.initiated
        date:
          description: The date of the webhook.
          type: string
        payload:
          description: Initiated Refund data with id of the order.
          type: object
          properties:
            id:
              description: The unique Refund id
              type: string
            amount:
              description: The amount of the refund in decimals.
              type: number
              minimum: 0
              exclusiveMinimum: true
            currency:
              description: Refund's currency.
              type: string
              enum:
                - EUR
                - USD
                - GBP
                - PLN
                - SEK
                - DKK
              x-enumNames:
                - EUR
                - USD
                - GBP
                - PLN
                - SEK
                - DKK
            status:
              description: The current status of this refund.
              type: string
              enum:
                - initiated
                - pending
                - succeeded
                - failed
              x-enumNames:
                - Initiated
                - Pending
                - Succeeded
                - Failed
            orderId:
              description: The id of the refunded order
              type: string
            transactionId:
              description: The id of the transaction
              type: string
          required:
            - id
            - amount
            - currency
            - status
            - orderId
      required:
        - id
        - type
        - date
        - payload

````